Arch 3Views/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/de")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
{{Template:UnfinishedDocu}}
<div class="mw-translate-fuzzy">
{{GuiCommand/de|Name=Arch 3Views|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Arch → Utilities → 3 Views from mesh|Shortcut=|SeeAlso=}}
{{GuiCommand/de|Name=Arch 3Views|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Arch → Utilities → 3 Views from mesh|Shortcut=|SeeAlso=}}
</div>


==Description==
==Description==


'''This command is currently not in use'''. It will serve to generate flat, shape-based views from a [[Mesh Module|Mesh]] based object, to be used by the [[Arch Equipment]] tool.
{{Emphasis|This command is currently not in use.}} It will serve to generate flat, shape-based views from a [[Mesh Module|Mesh]] based object, to be used by the [[Arch Equipment]] tool.


==How to use==
==How to use==


# Select a Mesh object
# Select a Mesh object.
# Select menu Arch → Utilities → {{KEY|[[Image:Arch 3Views.png|16px]] [[Arch 3Views|3Views]]}}
# Select menu {{MenuCommand|Arch → Utilities → [[Image:Arch 3Views.svg|16px]] [[Arch 3Views|3Views]]}}.


==Options==
== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
==Properties==
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
}}


* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
==Scripting==
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
* If {{incode|largestonly}} is {{incode|True}} only the largest segment of the given mesh will be used.


Use {{incode|Part.show()}} to display the resulting flat shape.
==Limitations==


Example:
==Tutorials==
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False
}}


[[Category:Arch/de]]
[[Category:Arch/de]]

{{Arch Tools navi}}
{{Userdocnavi}}

Revision as of 23:07, 22 December 2018

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arch 3Views

Menüeintrag
Arch → Utilities → 3 Views from mesh
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Description

This command is currently not in use. It will serve to generate flat, shape-based views from a Mesh based object, to be used by the Arch Equipment tool.

How to use

  1. Select a Mesh object.
  2. Select menu Arch → Utilities → 3Views.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False